Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Admin API key (format: sk_admin_*) for organization-level operations

Path Parameters

appId
string
required

Unique identifier for a App. Format: app_[test_]{ksuid}

Pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

Body

application/json
phoneNumberId
string
required

ID of the phone number to add to the app

Pattern: ^ph_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"ph_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

telnyxMessagingProfile
string
required

Telnyx messaging profile ID

Example:

"1234567890abcdef"

Response

Phone number added successfully

phoneNumberId
string
required

Unique identifier for a Phone Number. Format: ph_[test_]{ksuid}

Pattern: ^ph_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"ph_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

appId
string
required

Unique identifier for a App. Format: app_[test_]{ksuid}

Pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

number
string
required
numberType
enum<string>
required

Type of phone number

Available options:
local,
tollfree,
mobile
Example:

"local"

location
string
required

Geographic location of the phone number

Example:

"San Francisco, CA"

features
string[]
required

Features supported by the phone number

Example:
createdAt
string
required
updatedAt
string
required